<?php
/**
 *  QQ:2420355482   51助手网(www.51zuso.com)
 */
if(!defined('IN_DISCUZ') || !defined('IN_ADMINCP')) {
	exit('Access Denied');
}

//设置数据
function setData($data){
	
	//必填项
	foreach($data['field'] as $k=>$v){
		if(!isset($v['req'])){
			$v['req'] = 0;
		}
		$data['field'][$k] = $v;
	}

	$data = serialize($data);
	file_put_contents('source/plugin/zuso_goods/data.txt',$data); 
}

//读取数据
function getData(){
	
	$data = file_get_contents('source/plugin/zuso_goods/data.txt');
	$data = unserialize($data);
	
	if(!$data){
		$data = array();
	}
	return $data;
}


//设置主题
function setConfigData($data){
	
	$data['icon'] = base64Img($data['icon']);
	unset($data['icon']);
	
	$data = serialize($data);
	file_put_contents('source/plugin/zuso_goods/cData.txt',$data); 
}

function getConfigData(){
	$data = file_get_contents('source/plugin/zuso_goods/cData.txt');
	return unserialize($data);
}

 

//存储图片
function base64Img($base64_image_content){
	//存储路径
	$new_file = 'source/plugin/zuso_goods/static/icon.png';
	//匹配出图片的格式
	if (preg_match('/^(data:\s*image\/(\w+);base64,)/', $base64_image_content, $result)){
		
		$type = $result[2];
		$allowType = array('jpg','jpeg','png','gif');
		if(!in_array($type,$allowType)){
			return false;
		}
		
		file_put_contents($new_file, base64_decode(str_replace($result[1], '', $base64_image_content)));
	}else{
		return false;
	}
}



?>